Bug 142093 - install using multiple disks - only sda used in anaconda-ks.cfg
install using multiple disks - only sda used in anaconda-ks.cfg
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-07 04:10 EST by Matthias Bayer
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 15:38:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda logfile during installation (7.48 KB, text/plain)
2005-05-19 06:41 EDT, Matthias Bayer
no flags Details
syslog file during installation (17.01 KB, text/plain)
2005-05-19 06:42 EDT, Matthias Bayer
no flags Details

  None (edit)
Description Matthias Bayer 2004-12-07 04:10:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686) Opera 
7.54  [en]

Description of problem:
Hi,

i use RHAS3U3 to install several similar systems with two old 4 GB 
hardisks.
i choose autoinstall and let anaconda do the autopartitioning which 
results in:

Filesystem            Size  Used Avail Use% Mounted on
/dev/sdb1             4.0G  1.5G  2.3G  40% /
/dev/sda1              99M   15M   79M  16% /boot
/dev/sda2             512M

anaconda-ks.cfg which i wanted to use for further kickstart 
installations instead shows me the following:

clearpart --all --drives=sda,sdb
part /boot --fstype "ext3" --size=100 --ondisk=sda
part / --fstype "ext3" --size=1024 --grow --ondisk=sda
part swap --size=256 --grow --maxsize=512 --ondisk=sda

so, only sda is used instead of sdb for / as on the native install i 
performed. also SWAP space is only half of the original ...




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install with multiple (2) disks, allow autopartition to use them 
all
2.look at resulting anaconda-ks.cfg
3.
    

Actual Results:  clearpart --all --drives=sda,sdb
part /boot --fstype "ext3" --size=100 --ondisk=sda
part / --fstype "ext3" --size=1024 --grow --ondisk=sda
part swap --size=256 --grow --maxsize=512 --ondisk=sda

Expected Results:  clearpart --all --drives=sda,sdb
part /boot --fstype "ext3" --size=100 --ondisk=sda
part / --fstype "ext3" --size=1024 --grow --ondisk=sdb
part swap --size=256 --grow --maxsize=512 --ondisk=sda

Additional info:
Comment 1 Jeremy Katz 2005-05-18 15:54:49 EDT
We're not reproducing this here.  Can you provide /tmp/anaconda.log and
/tmp/syslog from within the installer?
Comment 2 Matthias Bayer 2005-05-19 06:41:28 EDT
Created attachment 114559 [details]
anaconda logfile during installation
Comment 3 Matthias Bayer 2005-05-19 06:42:50 EDT
Created attachment 114560 [details]
syslog file during installation
Comment 4 Matthias Bayer 2005-05-19 06:47:47 EDT
Hi,

i have reproduced this problem very easy by just installing a default system 
within VMWare using 2 scsi disks of size 4GB.

logfiles are available.
reards,
Matthias
Comment 6 Chris Lumens 2007-03-14 15:38:21 EDT
Can you please test this with RHEL5 and see if it's still a problem on that
release?  If you are still experiencing it on RHEL5, feel free to reopen this
bug and we can target a fix for an update release.

Note You need to log in before you can comment on or make changes to this bug.